#
# spec file for package adns (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           adns
Version:        1.1
Release:        19.2
License:        GPL
Group:          Productivity/Networking/DNS/Utilities
URL:            http://www.chiark.greenend.org.uk/~ian/adns/
Autoreqprov:    on
Requires:       libadns = %{version}
Summary:        Advanced Easy-to-Use Asynchronous-Capable DNS Utilities
Source:         ftp://ftp.chiark.greenend.org.uk/users/ian/adns/%{name}-%{version}.tar.bz2
Patch:          destdir.diff
Patch1:         settings.make.in.diff
Patch2:         adns-configure.diff
Patch3:         adns-codecleanup.diff
Patch4:         adns-missing_symlink.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr

%description
adns includes a collection of useful DNS resolver utilities.



Authors:
--------
    Ian Jackson <adns-maint at chiark dot greenend dot org dot uk>

%debug_package
%package -n libadns
Summary:        Advanced DNS resolver client library
Group:          Productivity/Networking/DNS/Utilities
Autoreqprov:    on

%description -n libadns
Libadns is an advanced, easy to use, asynchronous-capable DNS resolver
client library for C (and C++) programs.



Authors:
--------
    Ian Jackson <adns-maint at chiark dot greenend dot org dot uk>

%package -n libadns-devel
Summary:        Libraries and header files to develop programs with libads support.
Group:          Productivity/Networking/DNS/Utilities
Autoreqprov:    on
Requires:       libadns = %{version}

%description -n libadns-devel
Libadns-devel includes the header file and static library to develop
programs with libads support.



Authors:
--------
    Ian Jackson <adns-maint at chiark dot greenend dot org dot uk>

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config -f}}
rm acconfig.h
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -Wall"
%configure
%{__make} all

%install
[ "%buildroot" != "/" -a -d %buildroot ] && rm -rf %buildroot
mkdir -p \
	%buildroot/%{_bindir} \
	%buildroot/%{_libdir} \
	%buildroot/%{_includedir}
%{__make} DESTDIR=%buildroot install

%clean
[ "%buildroot" != "/" -a -d %buildroot ] && rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/adnshost
%{_bindir}/adnslogres
%{_bindir}/adnsresfilter
%doc changelog COPYING GPL-vs-LGPL INSTALL README* TODO

%files -n libadns
%defattr(-,root,root)
%{_libdir}/libadns.so.1*

%files -n libadns-devel
%defattr(-,root,root)
%{_includedir}/adns.h
%{_libdir}/libadns.a
%{_libdir}/libadns.so

%changelog -n adns
* Thu Apr 27 2006 - mrueckert@suse.de
- added adns-missing_symlink.diff:
  add missing symlink "libadns.so" so you can dynamically
  link against libadns.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 19 2005 - ro@suse.de
- added libadns.so.1 to filelist
* Mon Apr 04 2005 - pth@suse.de
- Make declarations of adns__parse_domain match.
* Tue Aug 10 2004 - lmuelle@suse.de
- Inital SuSE RPM; [#43590].
